<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.estate.mapper.RepairMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="repairResultMap" type="org.springblade.estate.entity.Repair">
        <result property="id" column="id"/>
        <result property="createUser" column="create_user"/>
        <result property="createDept" column="create_dept"/>
        <result property="createTime" column="create_time"/>
        <result property="updateUser" column="update_user"/>
        <result property="updateTime" column="update_time"/>
        <result property="status" column="status"/>
        <result property="isDeleted" column="is_deleted"/>
        <result property="repairNo" column="repair_no"/>
        <result property="reportor" column="reportor"/>
        <result property="reportorPhone" column="report_phone"/>
        <result property="workOrderId" column="work_order_id"/>
        <result property="hasWorkOrder" column="has_work_order"/>
        <result property="reportTime" column="report_time"/>
        <result property="reportDetail" column="report_detail"/>
        <result property="reportSource" column="report_source"/>
        <result property="reportPosition" column="report_position"/>
        <result property="handler" column="handler"/>
        <result property="handlerPhone" column="handler_phone"/>
        <result property="handleStatus" column="handle_status"/>
        <result property="handleTime" column="handle_time"/>
        <result property="beginTime" column="begin_time"/>
        <result property="endTime" column="end_time"/>
        <result property="acceptStatus" column="accept_status"/>
        <result property="acceptReason" column="accept_reason"/>
        <result property="hasEstimate" column="has_estimate"/>
        <result property="comment" column="comment"/>
        <result property="rate" column="rate"/>
        <result property="pic" column="pic"/>
        <result property="agencyId" column="agency_id"/>
        <result property="residentialId" column="resiential_id"/>
        <result property="memberId" column="member_id"/>
        <result property="enterpriseId" column="enterprise_id"/>
        <result property="workOrderGroupId" column="work_order_group_id"/>
        <result property="workOrderGroupUserId" column="work_order_group_user_id"/>
        <result property="handleTime" column="handle_time"/>
        <result property="handleResult" column="handle_result"/>
    </resultMap>


    <select id="selectRepairPage" resultMap="repairResultMap">
        select * from estate_repair where is_deleted = 0
    </select>

</mapper>
